summaryrefslogtreecommitdiff
path: root/tools/ci/scripts/circleci2.sh
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2017-07-09 01:01:00 +0300
committerAndrei Karas <akaras@inbox.ru>2017-07-09 03:35:41 +0300
commit6e52b1fd24ef10b83fed21ec7e60a94796122f24 (patch)
tree9b232c6394fb5a8bba53449b222d6b1be7fb90a7 /tools/ci/scripts/circleci2.sh
parenta1ce53a8b2e7b00d62c9b5c440c1575352b8b3a7 (diff)
downloadplus-6e52b1fd24ef10b83fed21ec7e60a94796122f24.tar.gz
plus-6e52b1fd24ef10b83fed21ec7e60a94796122f24.tar.bz2
plus-6e52b1fd24ef10b83fed21ec7e60a94796122f24.tar.xz
plus-6e52b1fd24ef10b83fed21ec7e60a94796122f24.zip
Split circleci.sh into two files, because circle ci timeout issue.
Diffstat (limited to 'tools/ci/scripts/circleci2.sh')
-rwxr-xr-xtools/ci/scripts/circleci2.sh75
1 files changed, 75 insertions, 0 deletions
diff --git a/tools/ci/scripts/circleci2.sh b/tools/ci/scripts/circleci2.sh
new file mode 100755
index 000000000..bec4d1c3a
--- /dev/null
+++ b/tools/ci/scripts/circleci2.sh
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
+echo "Current node: ${CIRCLE_NODE_INDEX}"
+
+case $CIRCLE_NODE_INDEX in
+ 0)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc7_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 1)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 2)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc7_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 3)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ *)
+ echo unknown node
+ exit 1
+ ;;
+esac